__HT_CREATE_IRQ(9)

NAME
__ht_create_irq - create an irq and attach it to a device.

SYNOPSIS

int __ht_create_irq(struct pci_dev * dev, int idx, ht_irq_update_t * update);

ARGUMENTS

dev
    The hypertransport device to find the irq capability on.

idx
    Which of the possible irqs to attach to.

update
    Function to be called when changing the htirq message

DESCRIPTION

The irq number of the new irq or a negative error value is returned.

COPYRIGHT